Authorization: Bearer ********************{
"name": "string",
"businessDataTypeId": "string",
"conditions": [
{
"column": 0,
"columnType": "CURRENCY_TYPE",
"type": "CURRENCY_FIAT",
"operator": "EQ",
"value": "string",
"jsonPath": "string"
}
],
"derivativeType": "FUTURE",
"action": {
"datetime": 0,
"timezone": "string",
"referenceNo": 0,
"type": "FUTURE_UNREALIZED",
"assetName": 0,
"positionSide": 0,
"currency": 0,
"amount": 0
}
}curl --location --globoff --request PUT 'https://web-api.blockindex.com/entity/{{entityId}}/valuation/derivative/fact/transformer/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"businessDataTypeId": "string",
"conditions": [
{
"column": 0,
"columnType": "CURRENCY_TYPE",
"type": "CURRENCY_FIAT",
"operator": "EQ",
"value": "string",
"jsonPath": "string"
}
],
"derivativeType": "FUTURE",
"action": {
"datetime": 0,
"timezone": "string",
"referenceNo": 0,
"type": "FUTURE_UNREALIZED",
"assetName": 0,
"positionSide": 0,
"currency": 0,
"amount": 0
}
}'{
"status": "success",
"requestId": "ed458995-3eb1-48c9-90b3-1e6f4d57ab82",
"data": {
"derivativeFactTransformerId": "string",
"entityId": "string",
"name": "string",
"businessDataTypeId": "string",
"enabled": true,
"conditions": [
{
"column": 0,
"columnType": "CURRENCY_TYPE",
"type": "BUSINESS_CURRENCY",
"operator": "EQ",
"value": "string"
}
],
"derivativeType": "FUTURE",
"action": {
"datetime": 0,
"timezone": "string",
"referenceNo": 0,
"type": "FUTURE_UNREALIZED",
"assetName": 0,
"positionSide": 0,
"currency": 0,
"amount": 0
},
"status": "DOING",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
}
}